org.eclipse.jgit.transport

## Class RefAdvertiser.PacketLineOutRefAdvertiser

- java.lang.Object
- - org.eclipse.jgit.transport.RefAdvertiser
  - - org.eclipse.jgit.transport.RefAdvertiser.PacketLineOutRefAdvertiser

Enclosing class:
  RefAdvertiser

    public static class RefAdvertiser.PacketLineOutRefAdvertiser
    extends RefAdvertiser

Advertiser which frames lines in a `PacketLineOut` format.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jgit.transport.RefAdvertiser

`RefAdvertiser.PacketLineOutRefAdvertiser`

### Constructor Summary

Constructors
Constructor and Description
`RefAdvertiser.PacketLineOutRefAdvertiser(PacketLineOut out)` Create a new advertiser for the supplied stream.

### Method Summary

Methods
`protected void` `end()` Mark the end of the advertisements.
`protected void` `writeOne(CharSequence line)` Write a single advertisement line.

### Methods inherited from class org.eclipse.jgit.transport.RefAdvertiser

`advertiseCapability, advertiseHave, advertiseId, init, isEmpty, send, setDerefTags`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RefAdvertiser.PacketLineOutRefAdvertiser

    public RefAdvertiser.PacketLineOutRefAdvertiser(PacketLineOut out)

Create a new advertiser for the supplied stream.

Parameters:
  `out` - the output stream.

### Method Detail

#### writeOne

    protected void writeOne(CharSequence line)
                     throws IOException

Description copied from class: `RefAdvertiser`
Write a single advertisement line.

Specified by:
  `writeOne` in class `RefAdvertiser`
Parameters:
  `line` - the advertisement line to be written. The line always ends with LF. Never null or the empty string.
Throws:
  `IOException` - the underlying output stream failed to write out an advertisement record.

#### end

    protected void end()
                throws IOException

Description copied from class: `RefAdvertiser`
Mark the end of the advertisements.

Specified by:
  `end` in class `RefAdvertiser`
Throws:
  `IOException` - the underlying output stream failed to write out an advertisement record.